:root {
    --customBlack: #101010;
    --customBlack-hover: #1d1d1d;
    --customWhite: #d7d7d7;
}

body {
    background-color: var(--systemBG-primary);
}


/* */
/* grid system */

.systemGrid-6x1 {
    display: grid;
    grid-gap: var(--systemSpacing-20);
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(1, 1fr);
    grid-auto-flow: row;
    grid-template-rows: auto;
}

.systemGrid-6x1-2 {
    display: grid;
    grid-gap: var(--systemSpacing-20);
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(1, 1fr);
    grid-auto-flow: row;
    grid-template-rows: auto;
}

.systemGrid-6x2 {
    display: grid;
    grid-gap: var(--systemSpacing-20);
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-auto-flow: row;
    grid-template-rows: auto;
}

.systemGrid-6x3 {
    display: grid;
    grid-gap: var(--systemSpacing-20);
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(3, 1fr);
    grid-auto-flow: row;
    grid-template-rows: auto;
}


/* */
/* header */

.hdr-ctnr {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 9998;
    background-color: var(--systemBG-primary);
}

@media (min-width: 601px) {

    .hdr-ctnr {
        background-color: var(--snapShot-header-primary-bg);
        background-color: var(--snapShot-header-secondary-bg);
        backdrop-filter: blur(var(--systemSpacing-20));
        background-blend-mode: color-dodge, normal;
    }
}

.hdr-all-wrp {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: var(--systemSpacing-8) 0;
    margin: 0 var(--systemSpacing-120);
}

.hdr-icon-wrp svg {
    display: block;
    fill: var(--systemPrimary);
    width: var(--systemSpacing-68);
}

.hdr-icon-wrp:hover {
    opacity: 70%;
}

/* */

.lang-btn-all-wrp {
    display: flex;
    flex-direction: row;
    align-items: center;
    /* gap: var(--systemSpacing-4); */
    box-sizing: border-box;

    position: relative;
}

.lang-icon-wrp {    
    /* background-color: var(--systemBG-secondary); */
    border-radius: var(--systemSpacing-9999);
}

.lang-icon-wrp svg {
    display: block;
    fill: var(--systemPrimary);
}

.lang-chevron-wrp {
    display: flex;
    flex-direction: row;
    gap: var(--systemSpacing-8);
    align-items: center;
    padding: var(--systemSpacing-8) var(--systemSpacing-12);
    border-radius: var(--systemSpacing-8);
    transition: background-color 0.2s ease;
}

.lang-chevron-wrp.active {
    background-color: var(--systemBG-secondary);
}

.lang-chevron-wrp:hover {
    background-color: var(--systemBG-secondary);
}

.lang-chevron-wrp .icon-wrp svg {
    display: block;
    fill: var(--systemPrimary);
    transition: transform 0.25s ease;
}

.lang-chevron-wrp.active .icon-wrp svg {
    transform: rotate(-180deg);
}

.current-lang {
    color: var(--systemPrimary);
}

.lang-size {
    font-size: var(--ch-fontSize);
}


/* */

.other-lang-ctnr {
    display: flex;
    flex-direction: column;

    position: absolute;
    top: var(--systemSpacing-40);
    right: var(--systemSpacing-0);

    background-color: var(--systemBG);
    width: inherit;
    height: fit-content;
    z-index: 9999;
    border-radius: var(--systemSpacing-8);

    opacity: 0;
    visibility: hidden;
    transition: opacity 0.2s ease;

    box-shadow: var(--systemSpacing-0) var(--systemSpacing-0) var(--systemSpacing-20) var(--systemSpacing-0) var(--systemDim-10);
}

.other-lang-ctnr.active {
    opacity: 1;
    visibility: visible;
}

.other-lang-wrp {
    overflow: hidden;
}

.other-lang {
    color: var(--systemPrimary);
    padding: var(--systemSpacing-8) var(--systemSpacing-12);
    width: 100%;
    display: block;
    text-align: left;
}

.other-lang:hover {
    background-color: var(--systemBG-secondary);
    border-radius: var(--systemSpacing-8);
}

.other-lang-all-wrp {
    display: flex;
    flex-direction: column;
    gap: var(--systemSpacing-4);
    padding: var(--systemSpacing-4);
}

.lang-jp {
    cursor: default;
    font-size: var(--ch-fontSize);
    color: var(--systemQuaternary);
    padding: var(--systemSpacing-8) var(--systemSpacing-12);
    width: 100%;
    display: block;
    text-align: left;
}

/**/
/* main */

.main-all-wrp {
    position: relative;
    overflow: visible;
    margin: 0 var(--systemSpacing-120);
}

.sec-a {
    margin-top: var(--systemSpacing-60);
}

/* */
/* common component */

.sec-ctt-dsc-wrp {
    padding-right: var(--systemSpacing-80);
    padding-bottom: var(--systemSpacing-80);
}

.sec-dsc-wrp {
    margin-bottom: var(--systemSpacing-80);
}

.sec-ctt-wrp {
    margin-bottom: var(--systemSpacing-20);
}

.sec-ctt-wrp-last-child {
    margin-bottom: var(--systemSpacing-100);
}


/* */
/* typography */

.sec-ctt-tl-xlg {
    font-size: var(--d2-fontSize);
    color: var(--systemPrimary);
    font-weight: 600;
}

.sec-ctt-tl-lg {
    font-size: var(--h1-fontSize);
    color: var(--systemPrimary);
    font-weight: 600;
}

.sec-ctt-dsc-lg {
    font-size: var(--hl-fontSize);
    color: var(--systemPrimary);
    font-weight: 400;
    margin-bottom: var(--systemSpacing-20);
    line-height: 150%;
}

.link-to-all-wrp {
    display: flex;
    flex-direction: column;
    gap: var(--systemSpacing-12);
}

.link-to-tl {
    font-size: var(--p-fontSize);
    font-weight: 600;
    color: var(--systemPrimary);
}

.link-to-wrp {
    display: flex;
    flex-direction: column;
    width: fit-content;
    gap: var(--systemSpacing-8);
}

.link-chevron-wrp {
    display: flex;
    flex-direction: row;
    align-items: center;
}.lang-chevron-wrp.active .chevron-icon-wrp svg {
    transform: rotate(180deg);

        transition: transform 0.25s ease;
}

.link-chevron-wrp .chevron-icon-wrp svg {
    display: block;
    fill: var(--systemPrimary);
}

.sec-icon svg {
    fill: var(--systemPrimary);
}

.link-to {
    font-size: var(--hl-fontSize);
    color: var(--systemPrimary);
    font-weight: 400;
    text-decoration: underline;
    width: fit-content;
}

.link-to:hover {
    color: var(--systemSecondary);
    text-decoration: none;
}

.txt-bold {
    font-weight: 600;
}

.tl {
    font-size: var(--h6-fontSize);
    font-weight: 600;
    color: var(--systemPrimary);
}

.highlight {
    font-size: var(--h2-fontSize);
    font-weight: 600;
    color: var(--systemPrimary);
}

.sec-dsc {
    font-size: var(--hl-fontSize);
    line-height: 135%;
    color: var(--systemPrimary);
}

.flex-box {
    display: flex;
    flex-direction: column;
    gap: var(--systemSpacing-4);
}

.dsc-link {
    color: var(--systemPrimary);
    font-size: var(--hl-fontSize);
    text-decoration: underline;
    width: fit-content;
    font-weight: 400;
}

.dsc-link:hover {
    color: var(--systemSecondary);
    text-decoration: none;
}

.link-chevron-btn-wrp {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: fit-content;
    gap: var(--systemSpacing-4);
    background-color: var(--systemPrimary);
    border-radius: var(--systemSpacing-9999);
    padding: var(--systemSpacing-12) var(--systemSpacing-12) var(--systemSpacing-12) var(--systemSpacing-20);
}

.link-chevron-btn-wrp:hover {
    opacity: 80%;
}

.link-chevron-btn-wrp .chevron-icon-wrp svg {
    fill: var(--systemWhite);
    display: block;
    width: var(--systemSpacing-20);
}

.dsc-link-btn {
    color: var(--systemWhite);
    font-size: var(--p-fontSize);
    font-weight: 400;
}

.career-wrp p {
    color: var(--systemTertiary);
    font-size: var(--p-fontSize);
    line-height: 135%;
}

.sec-cap {
    color: var(--systemTertiary);
    font-size: var(--ch-fontSize);
    line-height: 135%;
}

.sm-ph {
    font-size: var(--p-fontSize);
    color: var(--systemPrimary);
}

.p-ter-wrp {
    display: flex;
    flex-direction: column;
    gap: var(--systemSpacing-4);
}

.p-tertiary {
    font-size: var(--ch-fontSize);
    color: var(--systemTertiary);
    font-weight: 400;
    line-height: 135%;
}

.p-secondary {
    font-size: var(--p-fontSize);
    color: var(--systemSecondary);
        font-weight: 400;
    line-height: 135%;
}


/* */
/* profile */

.profile-img-wrp {
    margin-bottom: var(--systemSpacing-12);
}

.profile-img-wrp .profile-img {
    display: block;
    width: var(--systemSpacing-280);
    pointer-events: none;
    user-select: none;
}

.profile-info {
    font-size: var(--hl-fontSize);
    color: var(--systemPrimary);
    line-height: 135%;
}

.profile-name {
    font-weight: 600;
}

.video-link {
    color: var(--systemPrimary);
    font-weight: 400;
    text-decoration: underline;
}

.video-link:hover {
    text-decoration: none;
    color: var(--systemSecondary);
}

.duration {
    color: var(--systemTertiary);
    font-weight: 400;
    font-size: var(--p-fontSize);
}

.company-dsc-wrp {
    width: 80%;
}

.company-dsc {
    color: var(--systemTertiary);
    font-weight: 400;
    font-size: var(--p-fontSize);
    line-height: 135%;
}

/* */
/* dff mark image wrap */

.dff-mark-img-wrp {
    width: 80%;
    margin-bottom: var(--systemSpacing-20);
}

.dff-mark-img-wrp img {
    display: block;
    max-width: 100%;
    pointer-events: none;
    user-select: none;
}

/* */
/* grid positioning */

.pos-12-12 {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
}

.pos-13-12 {
    grid-column: 1 / 3;
    grid-row: 1 / 2;
}

.pos-34-12 {
    grid-column: 3 / 5;
    grid-row: 1 / 2;
}

.pos-35-12 {
    grid-column: 3 / 5;
    grid-row: 1 / 2;
}

.pos-77-12 {
    grid-column: 7 / 7;
    grid-row: 1 / 2;
}

.pos-36-12 {
    grid-column: 3 / 7;
    grid-row: 1 / 2;
}

.pos-57-12 {
    grid-column: 5 / 7;
    grid-row: 1 / 2;
}

.pos-35-23 {
    grid-column: 3 / 5;
    grid-row: 2 / 3;
}

.pos-57-23 {
    grid-column: 5 / 7;
    grid-row: 2 / 3;
}

.pos-35-34 {
    grid-column: 3 / 5;
    grid-row: 3 / 4;
}

.pos-57-34 {
    grid-column: 5 / 7;
    grid-row: 3 / 4;
}


/* */
/* sec description */

.sec-tl {
    font-size: var(--hl-fontSize);
    color: var(--systemPrimary);
    font-weight: 600;
}

.sec-part {
    font-size: var(--hl-fontSize);
    color: var(--systemPrimary);
    font-weight: 600;
}

.icon-wrp svg {
    display: block;
}

.logo-icon-wrp svg {
    display: block;
    fill: var(--systemBlack);
}

.logo-icon-wrp-2 svg {
    display: block;
    fill: var(--systemBlack);
}


/* */
/* footer */

.footer-ctnr {
    background-color: var(--customBlack);
    position: fixed;
    bottom: 0;
    width: 100%;
}

.footer-icon-wrp:hover {
    opacity: 80%;
}

.footer-icon-wrp svg {
    display: block;
    fill: var(--customWhite);
}

.footer-all-wrp {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    padding: var(--systemSpacing-12) var(--systemSpacing-0);
    margin: var(--systemSpacing-0) var(--systemSpacing-120);
}

.footer-contact-wrp {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: var(--systemSpacing-20);
}

.contact-tl {
    font-size: var(--p-fontSize);
    color: var(--customWhite);
    font-weight: 600;
    cursor: default;
}

.contact-info-wrp {
    display: flex;
}

.contact-info {
    width: var(--systemSpacing-40);
    border-radius: var(--systemSpacing-9999);
}

.contact-info:hover {
    background-color: var(--customBlack-hover);
}

.contact-info svg {
    display: block;
    fill: var(--customWhite);
    margin: var(--systemSpacing-0) auto;
}


/* */
/* page navigation */

.page-navigation {
    display: flex;
    flex-direction: row;
    gap: var(--systemSpacing-12);
    margin: var(--systemSpacing-0) auto;

    width: fit-content;
    max-width: 100%;

    position: fixed;
    left: var(--systemSpacing-0);
    right: var(--systemSpacing-0);
    bottom: var(--systemSpacing-40);
    transform: translateY(-50%);

    z-index: 9999;
}

.page-nav-ctnr {
    background-color: var(--systemWhite);
    border-radius: var(--systemSpacing-48);
    /* left: 50%;
    transform: translate(-50%, -50%); */
    box-shadow: var(--systemSpacing-1) var(--systemSpacing-1) var(--systemSpacing-16) var(--systemSpacing-1) var(--systemDim-10);
}

.page-nav-all-wrp {
    display: flex;
    padding: var(--systemSpacing-4);
}

.darkmode-wrp {
    padding: var(--systemSpacing-0);
    border-radius: var(--systemSpacing-48);
    background-color: var(--systemWhite);
    
    box-shadow: var(--systemSpacing-1) var(--systemSpacing-1) var(--systemSpacing-16) var(--systemSpacing-1) var(--systemDim-10);
    width: 61.5px;
}

.darkmode-wrp:hover {
    background-color: var(--systemBG-primary);
}

.darkmode-icon-wrp svg {
    width: var(--systemSpacing-36);
    height: var(--systemSpacing-36);
}


.darkmode-icon-wrp svg {
    fill: var(--systemPrimary);
    margin: var(--systemSpacing-0) auto;
    display: block;
}

.sec-nav {
    font-size: var(--ph-fontSize);
    color: var(--systemPrimary);
    padding: var(--systemSpacing-16) var(--systemSpacing-32);
    border-radius: var(--systemSpacing-48);
}

.sec-nav:hover {
    background-color: var(--systemBG-primary);
}

.sec-nav.active {
    background-color: var(--systemBlack);
    color: var(--systemWhite);
}


/* */
/* media query */

@media screen and (max-width: 1294px) {

    .sec-ctt-dsc-wrp {
        padding-right: var(--systemSpacing-40);
        padding-bottom: var(--systemSpacing-40);
    }

    .hdr-all-wrp {
        margin: 0 var(--systemSpacing-40);
    }

    .footer-all-wrp {
        margin: 0 var(--systemSpacing-40);
    }

    .main-all-wrp {
        margin: 0 var(--systemSpacing-40);
    }

    .sec-ctt-tl-xlg {
        font-size: var(--h1-fontSize);
    }

    .sec-ctt-tl-lg {
        font-size: var(--h3-fontSize);
    }

    .sec-ctt-dsc-lg {
        font-size: var(--hl-fontSize);
    }

    .tl {
        font-size: var(--hl-fontSize);
    }

    .highlight {
        font-size: var(--h3-fontSize);
        font-weight: 600;
        color: var(--systemPrimary);
    }

    .sec-dsc {
        font-size: var(--p-fontSize);
    }

    .profile-img-wrp .profile-img {
        display: block;
        width: var(--systemSpacing-200);
        pointer-events: none;
        user-select: none;
    }

    .profile-info {
        font-size: var(--ph-fontSize);
    }


    /* */
    /* positioning */

    .pos-36-12 {
        grid-column: 3 / 7;
        grid-row: 1 / 2;
    }

    .logo-icon-wrp svg {
        width: var(--systemSpacing-200);
    }

    .logo-icon-wrp-2 svg {
        width: var(--systemSpacing-160);
    }

    .dsc-link {
        font-size: var(--p-fontSize);
    }

    /* */
    /* page navigation */

    .sec-nav {
        font-size: var(--p-fontSize);
        padding: var(--systemSpacing-12) var(--systemSpacing-24);
    }

    /* */
    /* dark mode */

    .darkmode-wrp {
        width: 51px;
    }

    .darkmode-icon-wrp svg {
        width: var(--systemSpacing-32);
        height: var(--systemSpacing-32);
    }



}


@media screen and (max-width: 960px) {

    .sec-ctt-dsc-wrp {
        padding-right: var(--systemSpacing-0);
    }

    .sec-a {
        margin-top: var(--systemSpacing-60);
    }

    .sec-tl {
        font-size: var(--ch-fontSize);
    }
    
    .sec-part {
        font-size: var(--ch-fontSize);
    }

    .icon-wrp svg {
        width: var(--systemSpacing-12);
    }

    .link-to {
        font-size: var(--p-fontSize);
    }

    .dsc-link {
        font-size: var(--p-fontSize);
    }

    .chevron-icon-wrp svg {
        width: var(--systemSpacing-20);
        height: var(--systemSpacing-20)
    }

    /**/

    .link-chevron-btn-wrp {
        padding: var(--systemSpacing-8) var(--systemSpacing-8) var(--systemSpacing-8) var(--systemSpacing-16);
        gap: var(--systemSpacing-2);
    }

    .dsc-link-btn {
        font-size: var(--ch-fontSize);
    }

    .link-chevron-btn-wrp .chevron-icon-wrp svg {
        width: var(--systemSpacing-16);
}


    /**/
    /**/
    
    .systemGrid-6x2 {
        display: grid;
        grid-gap: var(--systemSpacing-20);
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: repeat(4, 1fr);
        grid-auto-flow: row;
        grid-template-rows: auto;
    }

    .systemGrid-6x2 {
        display: grid;
        grid-gap: var(--systemSpacing-20);
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: repeat(6, 1fr);
        grid-auto-flow: row;
        grid-template-rows: auto;
    }

    .pos-35-12 {
        grid-column: 3 / 7;
        grid-row: 1 / 2;
    }

    .pos-57-12 {
        grid-column: 3 / 7;
        grid-row: 2 / 3;
    }

    .pos-35-23 {
        grid-column: 3 / 7;
        grid-row: 3 / 4;
    }

    .pos-57-23 {
        grid-column: 3 / 7;
        grid-row: 4 / 5;
    }

    .pos-35-34 {
        grid-column: 3 / 7;
        grid-row: 5 / 6;
    }

    .pos-57-34 {
        grid-column: 3 / 7;
        grid-row: 6 / 7;
    }

    .sec-ctt-tl-xlg {
        font-size: var(--h4-fontSize);
    }

    .sec-ctt-tl-lg {
        font-size: var(--h4-fontSize);
    }

    .sec-ctt-dsc-lg {
        font-size: var(--p-fontSize);
    }
    
    .highlight {
        font-size: var(--h4-fontSize);
        font-weight: 600;
        color: var(--systemPrimary);
    }

    .logo-icon-wrp svg {
        width: var(--systemSpacing-160);
    }

    .logo-icon-wrp-2 svg {
        width: var(--systemSpacing-120);
    }

    .profile-img-wrp .profile-img {
        display: block;
        width: var(--systemSpacing-160);
        pointer-events: none;
        user-select: none;
    }

    .profile-info {
        font-size: var(--p-fontSize);
    }

}


@media screen and (max-width: 600px) {

    .systemGrid-6x2 {
        display: grid;
        grid-gap: var(--systemSpacing-20);
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: repeat(5, 1fr);
        grid-auto-flow: row;
        grid-template-rows: auto;
    }

    .systemGrid-6x3 {
        display: grid;
        grid-gap: var(--systemSpacing-20);
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: repeat(7, 1fr);
        grid-auto-flow: row;
        grid-template-rows: auto;
    }

    .systemGrid-6x1-2 {
        display: grid;
        grid-gap: var(--systemSpacing-20);
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: repeat(2, 1fr);
        grid-auto-flow: row;
        grid-template-rows: auto;
    }

    .pos-13-12 {
        grid-column: 1 / 7;
        grid-row: 1 / 2;
    }

    .pos-36-12 {
        grid-column: 1 / 7;
        grid-row: 2 / 3;
    }

    .pos-35-12 {
        grid-column: 1 / 7;
        grid-row: 2 / 3;
    }

    .pos-57-12 {
        grid-column: 1 / 7;
        grid-row: 3 / 4;
    }

    .pos-35-23 {
        grid-column: 1 / 7;
        grid-row: 4 / 5;
    }

    .pos-57-23 {
        grid-column: 1 / 7;
        grid-row: 5 / 6;
    }

    .pos-35-34 {
        grid-column: 1 / 7;
        grid-row: 6 / 7;
    }

    .pos-57-34 {
        grid-column: 1 / 7;
        grid-row: 7 / 8;
    }

    .tl-highlight-wrp {
        margin-bottom: var(--systemSpacing-12);
    }

    .sec-ctt-dsc-wrp {
        padding-right: 0;
    }

    .sec-ctt-tl-lg {
        font-size: var(--h3-fontSize);
        margin-bottom: var(--systemSpacing-20);
    }

    .highlight {
        font-size: var(--h4-fontSize);
    }

    .sec-ctt-tl-xlg {
        font-size: var(--h2-fontSize);
        margin-bottom: var(--systemSpacing-20);
    }

    .sec-dsc-wrp {
        margin-bottom: var(--systemSpacing-60);
    }


    .logo-icon-wrp svg {
        width: var(--systemSpacing-240);
    }

    .logo-icon-wrp-2 svg {
        width: var(--systemSpacing-160);
    }


    .profile-wrp {
        display: none;
    }

    /* */
    /* dff mark image warp */

    .dff-mark-img-wrp {
        width: 100%;
        margin-bottom: var(--systemSpacing-12);
    }

    /**/

    .link-chevron-btn-wrp {
        gap: var(--systemSpacing-4);
        padding: var(--systemSpacing-12) var(--systemSpacing-12) var(--systemSpacing-12) var(--systemSpacing-20);
        margin-bottom: var(--systemSpacing-40);
    }

    .link-chevron-btn-wrp .chevron-icon-wrp svg {
        width: var(--systemSpacing-20);
    }

    .dsc-link-btn {
        font-size: var(--p-fontSize);
    } 

    /* */
    /* page navigation */

    .page-navigation {
        gap: var(--systemSpacing-4);
    }

    .sec-nav {
        font-size: var(--ch-fontSize);
        padding: var(--systemSpacing-8) var(--systemSpacing-16);
    }

    
    /* */
    /* dark mode */

    .darkmode-wrp {
        width: 41px;
    }

    .darkmode-icon-wrp svg {
        width: var(--systemSpacing-24);
        height: var(--systemSpacing-24);
    }

    /* footer */

    .contact-tl {
        display: none;
    }
}

@media screen and (max-width: 400px) {

    /* .darkmode-wrp {
        display: none;
    } */

    /* .page-navigation {
        display: flex;
        flex-direction: row;


        bottom: var(--systemSpacing-20);
        z-index: 9999;

        max-width: 100%;
        left: 0;
        right: 0;
        transform: translate(-50%, -50%);
    } */
}